org.eclipse.mat.parser.io

## Class BitOutputStream

- java.lang.Object
- - org.eclipse.mat.parser.io.BitOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public class BitOutputStream
    extends Object
    implements Flushable, Closeable

### Field Summary

Fields
`static int` `DEFAULT_BUFFER_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`BitOutputStream(OutputStream os)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`int` `writeBit(int bit)`
`int` `writeInt(int x, int len)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### BitOutputStream

    public BitOutputStream(OutputStream os)

### Method Detail

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in interface `Flushable`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`

#### writeBit

    public int writeBit(int bit)
                 throws IOException

Throws:
  `IOException`

#### writeInt

    public int writeInt(int x,
                        int len)
                 throws IOException

Throws:
  `IOException`